<?php namespace ProcessWire;
/*
 * Module using DepthRenderer to render a UiKit UL list for subitems
 */

class FlexUkUlList extends RepeaterFlexItem {
	public static function getModuleInfo() {
		return array(
			'title' => __('UiKit UL List', __FILE__), // Module Title
			'version' => 1,
			'renderer' => 'ContentRenderer',
			'head' => '{flex_label} [• {Options*title} ]',
			'icon' => 'fa fa-fw fa-list-ul',
			);
		}
	public static function getFields() {
		return([
			'@Options' => RepeaterFlexItem::Options([
					'columnWidth' => 25,
					'label' => __('Style'),
					'inputfieldClass' => 'InputfieldRadios',
					'initValue' => 1,
					'required' => 1,
					'options' => [
						1 => '|'.__('no decoration'),
						2 => 'uk-list-bullet|'.__('Bullet'),
						3 => 'uk-list-divider|'.__('Divider'),
						4 => 'uk-list-striped|'.__('Striped'),
						5 => 'uk-list-large|'.__('Large'),
						],
				]),
			]);
		}
	public function render(Page $pg) {
		$Tag = $this->ctx->getTag('ul');				// Get manager for <ul> tag
		$Tag->addClass('uk-list');						// Prepare for UiKit
		if($pg->Options->value)							// Any option defined?
			$Tag->addClass($pg->Options->value);
		$this->ctx->setEmbed('<li>', '</li>');			// Enclose child items with <li>
		$this->ctx->setClosetag($Tag->getCloseTag());	// Close this depth with </ul>
		return($Tag->getOpenTag());						// Start with <ul>
	}
}
